import { AnalysisSeverity, IGitBundle, IFileBundle, IBundleResult } from './interfaces/analysis-result.interface';
import { FolderOptions, GitOptions } from './interfaces/analysis-options.interface';
import { RequestOptions } from './interfaces/http-options.interface';
export declare function analyzeBundle({ baseURL, sessionToken, includeLint, severity, bundleId, oAuthToken, username, limitToFiles, source, reachability, }: {
    baseURL: string;
    sessionToken: string;
    includeLint: boolean;
    severity: AnalysisSeverity;
    bundleId: string;
    oAuthToken?: string;
    username?: string;
    limitToFiles?: string[];
    source: string;
    reachability?: boolean;
}, requestOptions?: RequestOptions): Promise<IBundleResult>;
export declare function analyzeFolders(options: FolderOptions): Promise<IFileBundle>;
export declare function extendAnalysis(bundle: IFileBundle, filePaths: string[], maxPayload: number | undefined, source: string): Promise<IFileBundle | null>;
export declare function analyzeGit(options: GitOptions, requestOptions?: RequestOptions): Promise<IGitBundle>;
